<template>
	<view>
		<swiper :indicator-dots="false" :autoplay="true" :interval="3000" :duration="1000">
			<swiper-item v-for="value in adv_list">
				<view class="swiper-item">
					<image :src="value[0]"></image>
				</view>
			</swiper-item>
		</swiper>
		<view>
			<view>
				<view>
					<image src="/static/定位.png"></image>
					<text>{{}}</text>
				</view>
				<view>
					<image src="/static/坐标.png"></image>
					<text>我的位置</text>
				</view>
			</view>
			<view>
				<view>
					<view>入住</view>
					<view>请选择</view>
				</view>
				<view>共{{}}晚</view>
				<view>
					<view>离店</view>
					<view>请选择</view>
				</view>
			</view>
			<view>
				<input type="search" placeholder="搜索民宿名称" />
			</view>
			<button style="background-color: orange;">开始搜索</button>
		</view>
		<view>
			<view>
				<!-- <image src=""></image> -->
				<text>民俗文化</text>
			</view>
			<view>
				<image src=""></image>
				<text>优惠促销</text>
			</view>
		</view>
		<view class="footer">
			<view v-for="unit in footerlist">
				<image :src="unit[0]"></image>
				<text>{{unit[1]}}</text>
			</view>
		</view>
	</view>

</template>

<script>
	export default {
		data() {
			const footerlist = ["首页", "数据分析", "民宿", "我的"].map((value, index) => [value,`/static${["首页_首页.png","导航-民宿.png","导航-攻略.png","导航-我的.png"][index]}`])
			return {
				adv_list: null,
				footerlist
			}
		},

		methods: {
			async request(method, path) {
				let text
				if (method == "post") {
					text = await fetch(`http://124.93.196.45:10091/Neusoft/homestay${path}`, {
						method: "POST",
						headers: {
							"Content-Type": "application/json",
							// "Authorization":
						},
						body: JSON.stringify({
							"password": "0CYdq6Hn",
							"username": "6dOMIgIU"
						})
					})
				} else if (method == "get") {
					text = await fetch(`http://124.93.196.45:10091/Neusoft/homestay${path}`, {
						method: "GET",
						headers: {
							"Content-Type": "application/json",
							"Authorization": (await this.request("post", "/api/login")).token
						}
					})
				}
				const data = await text.json()
				console.log(data);
				return data
			}
		},
		async mounted() {
			this.adv_list = (await this.request("get", "/api/adv/list")).data.map(x => [
				`http://124.93.196.45:10091/Neusoft/homestay${x.image}`, x.id, x.title, x.createTime
			])
			console.log(this.adv_list);
		}
	}
</script>

<style>
	swiper {
		height: 25vh;
	}

	swiper image {
		width: 100%;
	}
</style>